Back to YouTube
TikHub·YouTube
YouTube Web V2: Search channels
/api/v1/youtube/web_v2/search_channelssync$0.0015 / callSearch YouTube channels. Only returns channel-type search results (filters out videos, playlists, etc.). Supports pagination to get more channels (TikHub · YouTube Web V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| keyword | string | — | Search keyword |
| continuation_token | string | — | Pagination token |
| need_format | boolean | — | Whether to format data (default true) |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/search_channels","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.